FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
Fl_Help_Font_Stack Struct Reference

## Public Member Functions
size_t | count () const
| Gets the current count of font style elements in the stack. More...
| Fl_Help_Font_Stack ()
| font stack construction, initialize attributes. More...
void | init (Fl_Font f, Fl_Fontsize s, Fl_Color c)
void | pop (Fl_Font &f, Fl_Fontsize &s, Fl_Color &c)
| Pops from the stack the font style triplet and calls fl_font() & fl_color() adequately.
void | push (Fl_Font f, Fl_Fontsize s, Fl_Color c)
| Pushes the font style triplet on the stack, also calls fl_font() & fl_color() adequately.
void | top (Fl_Font &f, Fl_Fontsize &s, Fl_Color &c)
| Gets the top (current) element on the stack. More...

## Protected Attributes
Fl_Help_Font_Style | elts_ [100]
| font elements
size_t | nfonts_
| current number of fonts in stack

## Constructor & Destructor Documentation

Fl_Help_Font_Stack::Fl_Help_Font_Stack | ( |  | ) |
| inline

font stack construction, initialize attributes.

## Member Function Documentation

size_t Fl_Help_Font_Stack::count | ( |  | ) | const
| inline

Gets the current count of font style elements in the stack.

void Fl_Help_Font_Stack::top | ( | Fl_Font & | f,
|  | Fl_Fontsize & | s,
|  | Fl_Color & | c
| ) |  |
| inline

Gets the top (current) element on the stack.

The documentation for this struct was generated from the following file:

- Fl_Help_View.H

- © 1998-2014 by Bill Spitzak and others.